注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

0与1构筑世界,程序员创造时代

软件架构设计 Java编程

 
 
 

日志

 
 

Ubuntu - 安装MySQL Workbench | How to install MySQL Workbench in Ubuntu  

2011-01-22 23:14:38|  分类: MySQL |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
  文章声明

作者:傲风(aofengblog@163.com)       编写时间:2011年01月22日

网址:http://aofengblog.blog.163.com

作者保留所有权利,转载请保留文章全部内容!



最近换了新的工作笔记本电脑,正好趁此机会将开发环境和项目代码及资料全部迁移到Linux中。迁移时将一些软件的安装过程记录下来以备忘。

运行环境 | Enviroment

Ubuntu 10.10
MySQL Workbench 5.2.31


安装MySQL Workbench | How to install MySQL Workbench

MySQL Workbench 依赖如下组件:
  • libmysqlclient16 (>= 5.1.21-1)
  • libzip1 (>= 0.8)
  • python-paramiko
  • mysql-client
  • python-pysqlite2


1、依次执行如下命令,完成所有依赖组件的安装:
sudo apt-get install libmysqlclient16
sudo apt-get install libzip1
sudo apt-get install python-paramiko
sudo apt-get install mysql-clien
sudo apt-get install python-pysqlite2

2、下载并安装MySQL Workbench:
下载
MySQL Workbench 5.2.31
在命令行下输入如下命令
sudo dpkg -i ./mysql-workbench-gpl-5.2.31a-2ubu1010-i386.deb 
 
3、安装完成后。会在菜单“应用程序”下添加“编程” --> "MySQL Workbench"子菜单项。
Ubuntu - 安装MySQL Workbench | How to install MySQL Workbench in Ubuntu - 傲风 - 宝剑锋从磨砺出 梅花香自苦寒来
 

附录:安装中的错误排除 | Appendix: How to solve the problem

1、如果在没有安装依赖组件时直接安装 MySQL Workbench,会提示如下的错误信息:
选中了曾被取消选择的软件包 mysql-workbench-gpl。
(正在读取数据库 ... 系统当前共安装有 170251 个文件和目录。)
正在解压缩 mysql-workbench-gpl (从 .../mysql-workbench-gpl-5.2.31a-2ubu1010-i386.deb) ...
dpkg:依赖关系问题使得 mysql-workbench-gpl 的配置工作不能继续:
 mysql-workbench-gpl 依赖于 libmysqlclient16 (>= 5.1.21-1);然而:
  未安装软件包“libmysqlclient16”。
 mysql-workbench-gpl 依赖于 libzip1 (>= 0.8);然而:
  未安装软件包“libzip1”。
 mysql-workbench-gpl 依赖于 python-paramiko;然而:
  未安装软件包“python-paramiko”。
 mysql-workbench-gpl 依赖于 mysql-client;然而:
  未安装软件包“mysql-client”。
 mysql-workbench-gpl 依赖于 python-pysqlite2;然而:
  未安装软件包“python-pysqlite2”。
dpkg:处理 mysql-workbench-gpl (--install)时出错:
 依赖关系问题 - 仍未被配置
正在处理用于 desktop-file-utils 的触发器...
正在处理用于 python-gmenu 的触发器...
Rebuilding /usr/share/applications/desktop.zh_CN.utf8.cache...
正在处理用于 python-support 的触发器...
在处理时有错误发生:
 mysql-workbench-gpl

这个时候去执行 apt-get install 安装依赖组件的时候,总是提示 MySQL Workbench 的安装信息,依赖组件也无法安装成功。解决方法如下:
在命令行下输入如下命令
sudo apt-get remove mysql-workbench-gpl
删除 MySQL Workbench 未完成的安装文件,再安装依赖组件。


<正文结束>
  评论这张
 
阅读(6744)| 评论(2)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017